ru.bitel.bgbilling.modules.smarthouse.common.event

## Class ForpostProtocolModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol>
    - - ru.bitel.bgbilling.modules.smarthouse.common.event.ForpostProtocolModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ForpostProtocolModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ForpostProtocolModifiedEvent()`
    `` | `ForpostProtocolModifiedEvent(int moduleId, int userId, ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol oldItem, ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol newItem)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ForpostProtocolModifiedEvent

          protected ForpostProtocolModifiedEvent()

    - #### ForpostProtocolModifiedEvent

          public ForpostProtocolModifiedEvent(int moduleId,
                                              int userId,
                                              ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol oldItem,
                                              ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostProtocol newItem)